/*Examen02
 Andres Mazon Arce
 B14017*/

import java.util.Scanner;

public class Vector
{
  private double x = 0.0;
  private double y= 0.0;
  
  
  
  public boolean leer()
  {
    Scanner teclado = new Scanner (System.in);
    
    System.out.println ("x: ");
    x = teclado.nextDouble();
    if(x==0)
      return false;
    
    System.out.println ("y: ");
    y = teclado.nextDouble();
    if(y==0)
    
    return false;  
    else return true;
  }
  
  public void imprimir()
  {
    System.out.print ("(X, Y) :   "+"("+x+"; "+y+")"+";   ");
    System.out.print ("(r, cita) :   "+"("+calcularNorma()+"; "+calcularDireccion()+")");
    System.out.println();
  }
  
  public double calcularNorma()
  {
    return Math.sqrt((x*x) + (y*y));
  }
  
  public double calcularDireccion()
  {
    return Math.atan2(x, y);
  }
  
  public Vector sumar (Vector otro)
  {
    Vector resultado = new Vector();
    resultado.x= x+otro.x;
    resultado.y= y +otro.y;
    
    return resultado;
  }
  
  public Vector restarX1X2 (Vector otro)
  {
    Vector resultado = new Vector();
    resultado.x= x-otro.x;
    resultado.y= y-otro.y;
    
    return resultado;
  }
  
  public Vector restarX2X1 (Vector otro)
  {
    Vector resultado = new Vector();
    resultado.x= otro.x-x;
    resultado.y=otro.y-y;
    
    return resultado;
  }
  
  public static void main (String args[])
  {
    vectores(); 
  }
  
  public static void vectores()
  {
    
    Vector suma = new Vector();
    Vector resta1 = new Vector();
    Vector resta2 = new Vector();
    double x = 1.0;
    double y =1.0;
    
    while (x!=0.0&&y!=0.0)
    {
    System.out.println("Ingrese vector");
    Vector vector = new Vector();
    vector.leer();
    vector.imprimir();
    
    suma = suma.sumar(vector);
    resta1 = resta1.restarX1X2 (vector);
    resta2 = resta2.restarX1X2 (vector);
    }
  }
}